> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List inference job results

> Retrieve the results available from an inference job.



## OpenAPI

````yaml get /v1/inference/jobs/{job_id}/results
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.48.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/inference/jobs/{job_id}/results:
    get:
      tags:
        - Inference Jobs
      summary: Read Inference Job Results
      operationId: read_inference_job_results_v1_inference_jobs__job_id__results_get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  anyOf:
                    - $ref: '#/components/schemas/InferenceJobSuccessResult'
                    - $ref: '#/components/schemas/InferenceJobFailureResult'
                title: >-
                  Response Read Inference Job Results V1 Inference Jobs  Job Id 
                  Results Get
        '422':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    InferenceJobSuccessResult:
      properties:
        index:
          type: integer
          title: Index
        message:
          $ref: '#/components/schemas/InferenceJobMessage'
        finish_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Finish Reason
          description: >-
            First-choice finish reason. Omitted when absent from the backend
            response; explicit null is preserved.
          examples:
            - stop
            - length
            - content_filter
      type: object
      required:
        - index
        - message
      title: InferenceJobSuccessResult
    InferenceJobFailureResult:
      properties:
        index:
          type: integer
          title: Index
        error:
          $ref: '#/components/schemas/InferenceJobError'
      type: object
      required:
        - index
        - error
      title: InferenceJobFailureResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InferenceJobMessage:
      properties:
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        tool_calls:
          anyOf:
            - items:
                $ref: '#/components/schemas/ToolCall'
              type: array
            - type: 'null'
          title: Tool Calls
      additionalProperties: true
      type: object
      title: InferenceJobMessage
    InferenceJobError:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
      type: object
      required:
        - code
        - message
      title: InferenceJobError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ToolCall:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          const: function
          title: Type
          default: function
        function:
          $ref: '#/components/schemas/FunctionCall'
      additionalProperties: true
      type: object
      required:
        - id
        - function
      title: ToolCall
    FunctionCall:
      properties:
        name:
          type: string
          title: Name
        arguments:
          type: string
          title: Arguments
      additionalProperties: true
      type: object
      required:
        - name
        - arguments
      title: FunctionCall
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: >-
        Your Seekr API key, sent in the Authorization header with no 'Bearer'
        prefix.
      in: header
      name: Authorization

````